"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
var index_1 = require("@material-ui/core/styles/index");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var useStyles = index_1.makeStyles(function (theme) { return ({
    icono: {
        color: theme.palette.primary.dark
    },
    icono_button: {
        margin: 0,
        padding: 4,
    }
}); });
var CustomIconTable = react_1.memo(function (props) {
    var _a = props.onClick, onClick = _a === void 0 ? null : _a, icon = props.icon;
    var classes = useStyles();
    return (react_1.default.createElement("div", { className: 'text-center' },
        react_1.default.createElement(IconButton_1.default, { className: classes.icono_button, onClick: onClick },
            react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { className: classes.icono, icon: ['far', icon], size: 'xs' }))));
});
exports.default = CustomIconTable;
