"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var Typography_1 = __importDefault(require("@material-ui/core/Typography"));
var DetailInfoItemLink_1 = require("./DetailInfoItemLink");
var classnames_1 = __importDefault(require("classnames"));
var DetailInfoIListLink = function (props) {
    var classes = props.classes, title = props.title, items = props.items, _a = props.className, className = _a === void 0 ? 'col-12' : _a;
    return react_1.default.createElement("div", { className: className }, items.length > 0 && react_1.default.createElement("div", { className: "row" },
        react_1.default.createElement(Typography_1.default, { variant: "body1", className: classes.texto_principal_grupo, gutterBottom: true, color: "primary" }, title),
        react_1.default.createElement("div", { className: classnames_1.default("col-12", classes.list_items_div) },
            react_1.default.createElement("div", { className: "row" }, items.map(function (l) { return react_1.default.createElement(DetailInfoItemLink_1.DetailInfoItemLink, { className: classnames_1.default(l.className, classes.texto_secondario_grupo), classes: classes, label: l.label, link: l.link, key: l.id }); })))));
};
exports.DetailInfoIListLink = DetailInfoIListLink;
