interface ICRUD {
    notificarAction: ((message: string, options?: {
        title?: string;
        callback?: () => any;
    }) => any);
    posDeleteMethod?: (res: object) => any;
    posCreateMethod?: (res: object) => any;
    posUpdateMethod?: (res: object) => any;
    posSummitMethod?: (res: object) => any;
    loadData?: () => any;
    method_pool: {
        restoreObjectMethod: () => any;
        selectForDeleteObjectMethod: () => any;
        deleteObjectMethod: (id: number, options?: {
            callback?: (res: object) => any;
        }) => any;
        updateObjectMethod: (id: number, values: object, options?: {
            callback?: (res: object) => any;
        }) => any;
        createObjectMethod: (item: object, options?: {
            callback?: (res: object) => any;
        }) => any;
        fetchObjectMethod: (id: number, options?: {
            callback?: (res: object) => any;
        }) => any;
    };
    singular_name?: string;
    plural_name?: string;
    view_link?: string;
    list: {
        [id: string]: {
            id: number;
            value: string;
        };
    };
    permissions: {
        list: boolean;
        add: boolean;
    };
    show_title?: boolean;
}
declare let HOCCrud: (CreateForm: any, Table: any) => (props: ICRUD) => JSX.Element;
export { HOCCrud };
